Summary: Practical Extraction and Report Language
Name: perl
Version: 5.005_03
%define perlver 5.00503
Release: 1
Group: Utilities/Text
Copyright: GPL
Url: http://www.perl.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.perl.org/pub/perl/CPAN/authors/id/GBARR/perl%{version}.tar.gz
Source1: perl5-config.over
Buildroot: /var/tmp/%{name}-root

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing reports
based on that information.  It's also a good language for many system
management tasks.  The language is intended to be practical (easy to use,
efficient, complete) rather than beautiful (tiny, elegant, minimal).


%prep
%setup -q -n perl%{version}


%build
# config.over is used for "make install installprefix=$installprefix".
# See section <Changing the installation directory> in INSTALL.
sed "s|RPM_BUILD_ROOT|$RPM_BUILD_ROOT|" %{SOURCE1} > config.over

sh Configure -des \
	-Dprefix=/usr -Doptimize="$RPM_OPT_FLAGS" -Darchname=i386-linux \
	-Dd_dosuid -Ud_setresuid -Ud_setresgid -Dd_semctl_semun
make
make test


%install
rm -rf $RPM_BUILD_ROOT

# Disable sanity check for "make install" as non-root
perl -pi -e 's|die \"You must run as root to install suidperl\\n\"||' installperl

make install
strip $RPM_BUILD_ROOT/usr/bin/* ||:

# For unknown reason strip also removes the suid bit so we put it back
chmod 4711 $RPM_BUILD_ROOT/usr/bin/sperl%{perlver}

# Replace duplicated executabled with symlinks
ln -sf  perl%{perlver} $RPM_BUILD_ROOT/usr/bin/perl
ln -sf sperl%{perlver} $RPM_BUILD_ROOT/usr/bin/suidperl

# This is to undo the "make install installprefix=$installprefix" above.
# See section <Creating an installable tar archive> in INSTALL.
# If you worry about chicken-and-egg problem here use sed instead of perl.
perl -pi -e "s|$RPM_BUILD_ROOT||g" \
    $RPM_BUILD_ROOT/usr/lib/perl5/%{perlver}/i386-linux/{Config.pm,.packlist}


%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/perl5
/usr/man/man1/*


%clean
rm -rf $RPM_BUILD_ROOT
